<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 (x64) (http://www.altova.com) by Vaclav Snasel (Logica Czech Republic s.r.o.) -->
<!-- edited with XMLSPY v2010 PE (http://www.xmlspy.com) by Ondrej Holub (Logica CZ) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/gastemperature" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/cds/gastemperature" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="CDSGASTEMPERATURE">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Profile" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Teplotní profil</xsd:documentation>
						<xsd:documentation xml:lang="EN">Temperature profile</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Data" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Data pro profil a časový interval</xsd:documentation>
									<xsd:documentation xml:lang="EN">Data for profile and time interval</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="date-time-from" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Počátek platnosti dat</xsd:documentation>
											<xsd:documentation xml:lang="EN">Beginning of data validity</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="date-time-to" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Konec platnosti dat</xsd:documentation>
											<xsd:documentation xml:lang="EN">End of data validity</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="qty" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Množství na max. jedno desetinné číslo (ne exponenciální tvar)</xsd:documentation>
											<xsd:documentation xml:lang="EN">Amount - max. 1 decimal place (not an exponential form)</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:pattern value="-?\d+(\.\d)?"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="unit" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jednotka vztahující se k množství</xsd:documentation>
											<xsd:documentation xml:lang="EN">Unit for amount</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="3"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="temp-area" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Teplotní oblast</xsd:documentation>
								<xsd:documentation xml:lang="EN">Temperature area</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="1">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jižní Čechy</xsd:documentation>
											<xsd:documentation xml:lang="EN">South Bohemia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="2">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jižní Morava</xsd:documentation>
											<xsd:documentation xml:lang="EN">South Moravia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="3">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Praha</xsd:documentation>
											<xsd:documentation xml:lang="EN">Prague</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="4">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Severní Čechy</xsd:documentation>
											<xsd:documentation xml:lang="EN">North Bohemia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="5">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Severní Morava</xsd:documentation>
											<xsd:documentation xml:lang="EN">North Moravia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="6">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Střední Čechy</xsd:documentation>
											<xsd:documentation xml:lang="EN">Central Bohemia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="7">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Východní Čechy</xsd:documentation>
											<xsd:documentation xml:lang="EN">East Bohemia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="8">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Západní Čechy</xsd:documentation>
											<xsd:documentation xml:lang="EN">West Bohemia</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="9">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">ČR</xsd:documentation>
											<xsd:documentation xml:lang="EN">CR</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="value-type" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Typ hodnoty ('P' - predikovaná, 'R' - skutečná)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Value type ('P' - predicted, 'R' - real metered)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="P">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Predikovaná</xsd:documentation>
											<xsd:documentation xml:lang="EN">Predicted</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="R">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Skutečná</xsd:documentation>
											<xsd:documentation xml:lang="EN">Real metered</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="profile-version" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Verze dat</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="00">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Předběžná verze</xsd:documentation>
											<xsd:documentation xml:lang="EN">Preliminary version</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="01">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Aktualizovaná verze</xsd:documentation>
											<xsd:documentation xml:lang="EN">Updated version</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="99">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Aktuální verze dat</xsd:documentation>
											<xsd:documentation xml:lang="EN">Actual data version</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code - mesage content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="GTP">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zpráva pro zaslání predikované a skutečné průměrné denní teploty</xsd:documentation>
								<xsd:documentation xml:lang="EN">Message for sending of predicted and metered average daily temperature</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze, zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
